%define upstream_name    MooseX-ConfigFromFile
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    An abstract Moose role for setting attributes from a configfile
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moose) >= 0.350.0
BuildRequires: perl(MooseX::Types::Path::Class) >= 0.40.0
BuildRequires: perl(MooseX::Types::Path::Tiny)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.420.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::Without::Module)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is an abstract role which provides an alternate constructor for
creating objects using parameters passed in from a configuration file. The
actual implementation of reading the configuration file is left to concrete
subroles.

It declares an attribute 'configfile' and a class method 'new_with_config',
and requires that concrete roles derived from it implement the class method
'get_config_from_file'.

Attributes specified directly as arguments to 'new_with_config' supersede
those in the configfile.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.140.0-8.mga9
+ Revision: 1809817
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-7.mga8
+ Revision: 1505362
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-6.mga7
+ Revision: 1285070
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.140.0-5.mga7
+ Revision: 1165594
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.140.0-4.mga7
+ Revision: 1159220
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-3.mga6
+ Revision: 1030337
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.140.0-2.mga6
+ Revision: 969356
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.140.0-1.mga6
+ Revision: 868553
- update to 0.14

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 741205
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.130.0-3.mga5
+ Revision: 735783
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-2.mga5
+ Revision: 685528
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.130.0-1.mga5
+ Revision: 586234
- update to 0.13

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 534794
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 sander85 <sander85> 0.120.0-1.mga4
+ Revision: 478896
- update to 0.12

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 370149
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 19 2011 jquelin <jquelin> 0.40.0-1.mga2
+ Revision: 184207
- update to 0.04

* Wed Jan 26 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 39995
- mageia rebuild
- imported package perl-MooseX-ConfigFromFile

